﻿/*
 * BUFFER.h
 *
 * Created: 2013/10/29 22:49:54
 *  Author: Koichi Nishida
 */ 

/*
Copyright (C) 2015 Koichi NISHIDA
ALL RIGHTS RESERVED.
This program is WITHOUT ANY WARRANTY.
*/

#ifndef BUFFER_H_
#define BUFFER_H_

#include "SD.h"

// 2564 bytes in total
union BUFFER2 {
	struct {
		uint8_t buf[512];
	} sd;
	struct {
		uint8_t buf[768];
		uint8_t buf2[632];
		struct FILE img[4];
		struct FILE d88[4];
	} sd6031;
	struct {
		uint8_t buf[256];
		uint8_t filelist[6*180];
		uint8_t fullpath[64];
		struct FILE img[4];
		struct FILE d88[4];
	} ui;
	struct {
		uint8_t buf[256];
		uint8_t buf2[632];
		uint8_t ini[512];
		struct FILE img[4];
		struct FILE d88[4];
	} ini;
	struct {
		uint8_t buf[256];
		uint16_t long_name[540];
		uint8_t short_name[64];
		struct FILE img[4];
		struct FILE d88[4];
	} wifi;
};

extern uint8_t buffer1[];
extern union BUFFER2 buffer2;

#endif /* BUFFER_H_ */