/*
 * COMMON.h
 *
 * Created: 2016/03/31 13:49:01
 *  Author: koichi
 */ 

#include <avr/io.h>

#ifndef COMMON_H_
#define COMMON_H_

// RED LED
#define LED1_ON (PORTR_OUT |= PIN0_bm)
#define LED1_OFF (PORTR_OUT &= ~PIN0_bm)

// BLUE LED
#define LED2_ON (PORTR_OUT |= PIN1_bm)
#define LED2_OFF (PORTR_OUT &= ~PIN1_bm)

// whether firmware has been written in the bootloader or not
#define FIRMWRITTEN GPIO0

#define nop() __asm__ __volatile__ ("nop");

void COMMON_init(void);

// convert a '0'-'F' to 0x0 - 0xf
uint8_t to16(uint8_t a);

#endif /* COMMON_H_ */